> This page is for API, version 2026-01-01 (Stable) (default).
> For other versions, use one of these documentation indexes:
> - 2026-01-01 (Stable) (default): https://developer.deel.com/api/stable/llms.txt

> For clean Markdown of any page, append .md to the page URL.
> For a complete documentation index, see https://developer.deel.com/llms.txt.
> For AI client integration (Claude Code, Cursor, etc.), connect to the MCP server at https://developer.deel.com/_mcp/server.

# Download a GP worker payslip

GET https://api.letsdeel.com/rest/gp/workers/{id}/payslips/{payslip_id}/download

Returns a pre-signed download URL for a specific Global Payroll (GP) employee payslip PDF. Use this after calling Retrieve employee payslips to obtain the payslipId. Requires the worker id (UUID) and the payslipId from the list response. The returned URL is temporary and should be used promptly to download the file. Supports only GP contract types.

 **Token scopes**: `payslips:read`, `worker:read`

Reference: https://developer.deel.com/api/reference/endpoints/global-payroll/download-a-gp-worker-payslip-v-2026-01-01

## Authentication

- `Authorization` header (bearer token, required) — ## Authentication The Deel API uses bearer tokens to authenticate requests. All API calls must be made over HTTPS — calls over plain HTTP or without authentication will fail. ```curl curl -X GET 'https://api.letsdeel.com/rest/v2/contracts' \ -H 'Authorization: Bearer YOUR-TOKEN-HERE' ``` [Learn more about authentication](/api/authentication)
- `Authorization` header (bearer token, required) — Standard OAuth2 security scheme based on https://swagger.io/docs/specification/authentication/

## Servers

- `https://api.letsdeel.com/rest` (Production, default)
- `https://api-staging.letsdeel.com/rest` (Demo)

## Request

### Path parameters

- `id` (string, required) — Unique identifier for the worker.
- `payslipId` (string, required) — Unique identifier for the payslip.
- `payslip_id` (string, required) — Unique identifier for the payslip.

## Response

### 200

Successful operation.

- `data` (GpWorkersIdPayslipsPayslipIdDownloadGetResponsesContentApplicationJsonSchemaData, required)

## Errors

### 400 Bad Request Error

Bad Request - Validation error or invalid parameters

- `errors` (list of GpWorkersIdPayslipsPayslipIdDownloadGetResponsesContentApplicationJsonSchemaErrorsItems, required) — Error messages
- `request` (GpWorkersIdPayslipsPayslipIdDownloadGetResponsesContentApplicationJsonSchemaRequest, optional) — Error request details

### 401 Unauthorized Error

Operation failed.

- `request` (ApiErrorRequest, optional)
- `errors` (list of ApiError, optional)

### 403 Forbidden Error

Operation failed.

- `request` (ApiErrorRequest, optional)
- `errors` (list of ApiError, optional)

### 404 Not Found Error

Operation failed.

- `request` (ApiErrorRequest, optional)
- `errors` (list of ApiError, optional)

### 500 Internal Server Error

Operation failed.

- `request` (ApiErrorRequest, optional)
- `errors` (list of ApiError, optional)

## Types

### GpWorkersIdPayslipsPayslipIdDownloadGetResponsesContentApplicationJsonSchemaData

- `url` (string, required) — A pre-signed URL to download the payslip PDF.

### GpWorkersIdPayslipsPayslipIdDownloadGetResponsesContentApplicationJsonSchemaErrorsItems

- `message` (string, required) — Error response

### GpWorkersIdPayslipsPayslipIdDownloadGetResponsesContentApplicationJsonSchemaRequest

Error request details

- `method` (string, optional) — Method of the API
- `status` (double, optional) — Status of API response

### ApiErrorRequest

- `method` (string, optional) — The HTTP method of the failed request
- `url` (string, optional) — The relative URL of the failed request
- `status` (double, optional) — The status code of the response
- `api_req_id` (string, optional) — The request ID of the failed request
- `docs` (string, optional) — A link to the official documentation for the requested endpoint resource
- `source` (string, optional) — The source handler which produced the returned error
- `code` (double, optional) — The code of the source handler which produced the returned error

### ApiError

- `message` (string, optional) — A description of the returned error
- `path` (string, optional) — The JSON path where input validation failed

## Examples

**Response**

```json
{
  "data": {
    "url": "https://s3.eu-west-1.amazonaws.com/api-dev-eks.letsdeel.com/employee_payslips/ApdZbLvq0r0E_Payslip_Kulvear_Bowie_2023-12-31.pdf?AWSAccessKeyId=ASIATHF2L5PZ545TTFF7&Expires=1698149134&Signature=DmqwQiXY%2FHmPS%2FYBcB2DOZ9SDVA%3D&x-amz-security-token=zxc"
  }
}
```

**SDK Code**

```python
import requests

url = "https://api.letsdeel.com/rest/gp/workers/6f50539e-9f62-45d0-a42e-62a62fbb984a/payslips/3c8e6b1a-2f4d-4e3a-9b7c-1a2b3c4d5e6f/download"

headers = {"Authorization": "Bearer <token>"}

response = requests.get(url, headers=headers)

print(response.json())
```

```javascript
const url = 'https://api.letsdeel.com/rest/gp/workers/6f50539e-9f62-45d0-a42e-62a62fbb984a/payslips/3c8e6b1a-2f4d-4e3a-9b7c-1a2b3c4d5e6f/download';
const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};

try {
  const response = await fetch(url, options);
  const data = await response.json();
  console.log(data);
} catch (error) {
  console.error(error);
}
```

```go
package main

import (
	"fmt"
	"net/http"
	"io"
)

func main() {

	url := "https://api.letsdeel.com/rest/gp/workers/6f50539e-9f62-45d0-a42e-62a62fbb984a/payslips/3c8e6b1a-2f4d-4e3a-9b7c-1a2b3c4d5e6f/download"

	req, _ := http.NewRequest("GET", url, nil)

	req.Header.Add("Authorization", "Bearer <token>")

	res, _ := http.DefaultClient.Do(req)

	defer res.Body.Close()
	body, _ := io.ReadAll(res.Body)

	fmt.Println(res)
	fmt.Println(string(body))

}
```

```ruby
require 'uri'
require 'net/http'

url = URI("https://api.letsdeel.com/rest/gp/workers/6f50539e-9f62-45d0-a42e-62a62fbb984a/payslips/3c8e6b1a-2f4d-4e3a-9b7c-1a2b3c4d5e6f/download")

http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true

request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'

response = http.request(request)
puts response.read_body
```

```java
import com.mashape.unirest.http.HttpResponse;
import com.mashape.unirest.http.Unirest;

HttpResponse<String> response = Unirest.get("https://api.letsdeel.com/rest/gp/workers/6f50539e-9f62-45d0-a42e-62a62fbb984a/payslips/3c8e6b1a-2f4d-4e3a-9b7c-1a2b3c4d5e6f/download")
  .header("Authorization", "Bearer <token>")
  .asString();
```

```php
<?php
require_once('vendor/autoload.php');

$client = new \GuzzleHttp\Client();

$response = $client->request('GET', 'https://api.letsdeel.com/rest/gp/workers/6f50539e-9f62-45d0-a42e-62a62fbb984a/payslips/3c8e6b1a-2f4d-4e3a-9b7c-1a2b3c4d5e6f/download', [
  'headers' => [
    'Authorization' => 'Bearer <token>',
  ],
]);

echo $response->getBody();
```

```csharp
using RestSharp;

var client = new RestClient("https://api.letsdeel.com/rest/gp/workers/6f50539e-9f62-45d0-a42e-62a62fbb984a/payslips/3c8e6b1a-2f4d-4e3a-9b7c-1a2b3c4d5e6f/download");
var request = new RestRequest(Method.GET);
request.AddHeader("Authorization", "Bearer <token>");
IRestResponse response = client.Execute(request);
```

```swift
import Foundation

let headers = ["Authorization": "Bearer <token>"]

let request = NSMutableURLRequest(url: NSURL(string: "https://api.letsdeel.com/rest/gp/workers/6f50539e-9f62-45d0-a42e-62a62fbb984a/payslips/3c8e6b1a-2f4d-4e3a-9b7c-1a2b3c4d5e6f/download")! as URL,
                                        cachePolicy: .useProtocolCachePolicy,
                                    timeoutInterval: 10.0)
request.httpMethod = "GET"
request.allHTTPHeaderFields = headers

let session = URLSession.shared
let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in
  if (error != nil) {
    print(error as Any)
  } else {
    let httpResponse = response as? HTTPURLResponse
    print(httpResponse)
  }
})

dataTask.resume()
```